Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTWalkParametersIndividual Class Reference

The class represents an individual for a set of walking parameters. More...

`#include <GT2005Parameters.h>`

Collaboration diagram for GTWalkParametersIndividual:

[legend]
List of all members.

## Public Member Functions
| GTWalkParametersIndividual ()
void | mutate ()
void | calculateTauTau0 ()
void | crossOver (GTWalkParametersIndividual *parent2)
void | crossingOverOf (GTWalkParametersIndividual *parent1, GTWalkParametersIndividual *parent2)
GTWalkParametersIndividual & | operator= (const GTWalkParametersIndividual &other)
## Public Attributes
GT2005Parameters | walkingParameters
double | fitness
double | strategyParameters [2][32]
double | strategyParameterStepLength
int | bMessage
## Private Member Functions
double | randG (const double mutationStrength)
## Private Attributes
double | tau
double | tau0

## Detailed Description

The class represents an individual for a set of walking parameters.

Author:
  Matthias Hebbel, Denis Fisseler

Definition at line 90 of file GT2005Parameters.h.

## Constructor & Destructor Documentation

GTWalkParametersIndividual::GTWalkParametersIndividual | ( |  | ) |

| Definition at line 1214 of file GT2005Parameters.cpp. References bMessage, calculateTauTau0(), strategyParameters, and strategyParameterStepLength.

Here is the call graph for this function:

## Member Function Documentation

void GTWalkParametersIndividual::mutate | ( |  | ) |

| Definition at line 1257 of file GT2005Parameters.cpp. References GT2005Parameters::evoPoly, GT2005Polygon::getPointCoord(), GT2005Polygon::getSegmentLength(), GT2005Polygon::numPoints, randG(), GT2005Polygon::setSegment(), GT2005Polygon::stepLength, strategyParameters, strategyParameterStepLength, tau, tau0, walkingParameters, Vector3< V >::x, Vector3< V >::y, and Vector3< V >::z.

Here is the call graph for this function:

void GTWalkParametersIndividual::calculateTauTau0 | ( |  | ) |

| Definition at line 1359 of file GT2005Parameters.cpp. References GT2005Parameters::evoPoly, GT2005Polygon::numPoints, tau, tau0, and walkingParameters. Referenced by GTWalkParametersIndividual().

void GTWalkParametersIndividual::crossOver | ( | GTWalkParametersIndividual * | parent2 | ) |

| Definition at line 1310 of file GT2005Parameters.cpp. References GT2005Parameters::evoPoly, GT2005Polygon::interpolateShapeP(), strategyParameters, strategyParameterStepLength, and walkingParameters.

Here is the call graph for this function:

void GTWalkParametersIndividual::crossingOverOf | ( | GTWalkParametersIndividual * | parent1,
|  | GTWalkParametersIndividual * | parent2
| ) |

| Definition at line 1332 of file GT2005Parameters.cpp. References GT2005Parameters::evoPoly, GT2005Polygon::interpolateShape(), strategyParameters, strategyParameterStepLength, and walkingParameters.

Here is the call graph for this function:

GTWalkParametersIndividual & GTWalkParametersIndividual::operator= | ( | const GTWalkParametersIndividual & | other | ) |

| Definition at line 1233 of file GT2005Parameters.cpp. References bMessage, GT2005Polygon::copy(), GT2005Parameters::evoPoly, fitness, strategyParameters, strategyParameterStepLength, and walkingParameters.

Here is the call graph for this function:

double GTWalkParametersIndividual::randG | ( | const double | mutationStrength | ) | `[private]`

| Definition at line 1367 of file GT2005Parameters.cpp. References pi2, and random(). Referenced by mutate().

Here is the call graph for this function:

## Member Data Documentation

GT2005Parameters GTWalkParametersIndividual::walkingParameters

| Definition at line 94 of file GT2005Parameters.h. Referenced by calculateTauTau0(), crossingOverOf(), crossOver(), GT2005WalkingEngine::executeParameterized(), mutate(), operator<<(), operator=(), and operator>>().

double GTWalkParametersIndividual::fitness

| Definition at line 95 of file GT2005Parameters.h. Referenced by operator<<(), operator=(), and operator>>().

double GTWalkParametersIndividual::strategyParameters[2][32]

| Definition at line 96 of file GT2005Parameters.h. Referenced by crossingOverOf(), crossOver(), GTWalkParametersIndividual(), mutate(), operator<<(), operator=(), and operator>>().

double GTWalkParametersIndividual::strategyParameterStepLength

| Definition at line 97 of file GT2005Parameters.h. Referenced by crossingOverOf(), crossOver(), GTWalkParametersIndividual(), mutate(), operator<<(), operator=(), and operator>>().

int GTWalkParametersIndividual::bMessage

| Definition at line 104 of file GT2005Parameters.h. Referenced by GT2005WalkingEngine::executeParameterized(), GTWalkParametersIndividual(), operator<<(), operator=(), and operator>>().

double GTWalkParametersIndividual::tau`[private]`

| Definition at line 109 of file GT2005Parameters.h. Referenced by calculateTauTau0(), and mutate().

double GTWalkParametersIndividual::tau0`[private]`

| Definition at line 109 of file GT2005Parameters.h. Referenced by calculateTauTau0(), and mutate().

The documentation for this class was generated from the following files:

- Modules/WalkingEngine/GT2005Parameters.h
- Modules/WalkingEngine/GT2005Parameters.cpp